// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    id: mmrow
    property int rowNumber;
    property alias selection : boardRow.values
    property alias score : scoreObj.values

    gradient: Gradient {
        GradientStop { position: 0; color: "#000000"; }
        GradientStop { position: 1; color: "#444444"; }
    }

    Item {
        id: _row
        anchors.fill: parent;

        /*
        Item {
            id: index;

            anchors {
                left: parent.left
                top: parent.top
                bottom: parent.bottom
                leftMargin: 10
                topMargin: 10
            }
            width: 50

            Rectangle {
                radius: 10
                width: Math.max(_rowNumber.width,_rowNumber.height)
                height: width
                anchors {
                    horizontalCenter: parent.horizontalCenter
                    top: parent.top
                }

                color: "#777744"

                Text {
                    id: _rowNumber
                    anchors.centerIn: parent;
                    text: mmrow.rowNumber;
                    color: "black"
                    font {
                        pixelSize: 25
                    }
                }
            }
        }
        */

        BoardRow {
            id: boardRow

            anchors {
                left: parent.left
                right: parent.right
                top: parent.top
                bottom: parent.bottom
                rightMargin: 100
            }
        }

        Score {
            id: scoreObj

            anchors {
                left: boardRow.right
                right: parent.right
                top: parent.top
                bottom: parent.bottom
                topMargin: 10
                bottomMargin: 10
                rightMargin: 10
                leftMargin: 10
            }

        }
    }
}
